package flink.zanxiangnet.ad.monitoring.pojo.entity;

import lombok.Data;

@Data
public class CostHourDM {
    //时间-天
    private String dt;
    //真实时间
    private String createTime;
    //时间-小时
    private String hour;
    //广告id
    private String adId;
    //广告组id
    private String adgroupId;
    //账号id
    private String accountId;
    //创意id
    private String adcreativeId;
    //计划 id
    private String campaignId;
    //总消耗
    private long costTotal;
    //当天消耗
    private long costDay;
    //当天小时消耗
    private long costHour;
    //当前小时与前一小时消耗差额
    private long costDiff;
    //前一小时消耗金额
    private long costLastHour;
    //前一小时与前二小时消耗差额
    private long costLastHourDiff;
    //前二小时消耗金额
    private long costLastTwoHour;
    //前二小时与前三小时消耗差额
    private long costLastTwoHourDiff;
    //前三小时消耗金额
    private long costLastThreeHour;
    //前三小时消耗趋势
    private long costLastThreeTrend;
    //消耗速度
    private double costSpeed;
    //总浏览量
    private long viewCountTotal;
    //天-总浏览量
    private long viewCountDay;
    //小时-总浏览量
    private long viewCountHour;
    //总平均千次曝光成本
    private long thousandDisplayPriceAll;
    //天-总平均曝光成本
    private long thousandDisplayPriceDay;
    //小时-总平均曝光成本
    private long thousandDisplayPriceHour;
    //总点击量
    private long validClickCountTotal;
    //天-总点击量
    private long validClickCountDay;
    //小时-总点击量
    private long validClickCountHour;
    //总平均点击率
    private double ctrAll;
    //天-总平均点击率
    private double ctrDay;
    //小时-总平均点击率
    private double ctrHour;
    //总点击均价
    private long cpcAll;
    //天-总点击均价
    private long cpcDay;
    //小时-总点击均价
    private long cpcHour;
    //总目标转化量
    private long conversionsCountTotal;
    //天-总目标转化量
    private long conversionsCountDay;
    //小时-总目标转化量
    private long conversionsCountHour;
    //总目标平均转化成本
    private long conversionsCostTotal;
    //天-总目标平均转化成本
    private long conversionsCostDay;
    //小时-总目标平均转化成本
    private long conversionsCostHour;
    //总平均转化率
    private double conversionsRateAll;
    //天-总平均转化率
    private double conversionsRateDay;
    //小时-总平均转化率
    private double conversionsRateHour;
    //总首日下单roi
    private double firstDayOrderRoiTotal;
    //天-总首日下单roi
    private double firstDayOrderRoiDay;
    //小时-总首日下单roi
    private double firstDayOrderRoiHour;
    //总首日下单金额
    private long firstDayOrderAmountTotal;
    //天-总首日下单金额
    private long firstDayOrderAmountDay;
    //小时-总首日下单金额
    private long firstDayOrderAmountHour;
    //总首日下单量
    private long firstDayOrderCountTotal;
    //天-总首日下单量
    private long firstDayOrderCountDay;
    //小时-总首日下单量
    private long firstDayOrderCountHour;
    //总下单金额
    private long webOrderAmountTotal;
    //天-总下单金额
    private long webOrderAmountDay;
    //小时-总下单金额
    private long webOrderAmountHour;
    //总平均下单成本
    private long webOrderCostTotal;
    //天-总平均下单成本
    private long webOrderCostDay;
    //小时-总平均下单成本
    private long webOrderCostHour;
    //总平均下单率
    private double webOrderRateTotal;
    //天-总平均下单率
    private double webOrderRateDay;
    //小时-总平均下单率
    private double webOrderRateHour;
    //总平均下单量
    private long webOrderCountTotal;
    //天-总平均下单量
    private long webOrderCountDay;
    //小时-总平均下单量
    private long webOrderCountHour;
    //总下单ROI
    private double orderRoiTotal;
    //天-总下单roi
    private double orderRoiDay;
    //小时-总下单roi
    private double orderRoiHour;
    //总平均下单客单价
    private long orderUnitPriceTotal;
    //天-总平均下单客单价
    private long orderUnitPriceDay;
    //小时-总平均下单客单价
    private long orderUnitPriceHour;
    //总公众号关注量
    private long fromFollowUvTotal;
    //天-总公众号关注量
    private long fromFollowUvDay;
    //小时-总公众号关注量
    private long fromFollowUvHour;
    //总平均公众号关注成本
    private long fromFollowCostTotal;
    //天-总平均公众号关注成本
    private long fromFollowCostDay;
    //小时-总平均公众号关注成本
    private long fromFollowCostHour;
    //总平均公众号关注率
    private double fromFollowRateTotal;
    //天-总平均公众号关注率
    private double fromFollowRateDay;
    //小时-总平均公众号关注率
    private double fromFollowRateHour;
    //总注册数
    private long webRegisterCountTotal;
    //天-总注册数
    private long webRegisterCountDay;
    //小时-总注册数
    private long webRegisterCountHour;
    //总注册人数
    private long webRegisterUvTotal;
    //天-总注册人数
    private long webRegisterUvDay;
    //小时-总注册人数
    private long webRegisterUvHour;
    //总平均注册成本
    private double webRegisterCostTotal;
    //天-总平均注册成本
    private double webRegisterCostDay;
    //小时-总平均注册成本
    private double webRegisterCostHour;
    //服务商id
    private String agencyAccountId;

}
